Subject: [bug#78002] [PATCH] gnu: opencascade-occt: update to 7.9.0.

From: [email-masked]
Date: Wed, 28 May 2025 00:28:44 +0000

Hello Andreas,

April 29, 2025 at 6:26 AM, "Andreas Enge" <[email-masked]> wrote:

> 
> Hello Kurt,
> 
> thanks for your update suggestion!

Thanks for your review as well!

> As from the discussion, I am quite certain that the update breaks at
> 
> least its depending package prusa-slicer; more generally, this can be
> 
> tested by running
> 
>  ./pre-inst-env guix build -P 1 opencascade-occt
> 
> locally.

Strangely, I remember running this, being surprised at the lack of failures, and indeed in my log, I even have a second check with `--dependents=2`, but after your message, I was of course able to reproduce the failure... I'm not sure what could have happened, but I'll chalk that up to user error. Perhaps some edge-case bug there though that I was not able to reproduce?

Cheers,
Kurt

P.S. Looking at this again, I noticed I missed the ending `$` regex in the third use of `for-each delete-file`. I may try figuring out how to send an updated patch, but perhaps that's the sort of thing that could just be fixed in a merge, so I thought I'd mention it here!